package com.realnet.generate_a_notes_20251007_113517-b.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.generate_a_notes_20251007_113517-b.Entity.Notesappwireframe;
import com.realnet.generate_a_notes_20251007_113517-b.Services.NotesappwireframeService ;




@RequestMapping(value = "/token/Notesappwireframe")
 @CrossOrigin("*") 
@RestController
public class tokenFree_NotesappwireframeController {
	@Autowired
	private NotesappwireframeService Service;

@Value("${projectPath}")
	private String projectPath;
 




	@PostMapping("/Notesappwireframe")
		  public Notesappwireframe Savedata(@RequestBody Notesappwireframe data) {
		Notesappwireframe save = Service.Savedata(data)	;



		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Notesappwireframe/{id}")
	public  Notesappwireframe update(@RequestBody Notesappwireframe data,@PathVariable Integer id ) {
		Notesappwireframe update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Notesappwireframe/getall/page")
	public Page<Notesappwireframe> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Notesappwireframe> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Notesappwireframe")
	public List<Notesappwireframe> getdetails() {
		 List<Notesappwireframe> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Notesappwireframe")
	public List<Notesappwireframe> getallwioutsec() {
		 List<Notesappwireframe> get = Service.getdetails();		
		return get;
}
@GetMapping("/Notesappwireframe/{id}")
	public  Notesappwireframe  getdetailsbyId(@PathVariable Integer id ) {
		Notesappwireframe  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Notesappwireframe/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}





}